Subject: [Rfced-future] iRSE comments on the new RFC editor structure

From: "John Levine" <[email-masked]>
Date: 28 Oct 2021 12:36:48 -0400

Eliot asked if I had comments on the proposal, wearing my interim RFC series editor hat.

While I think it is a good idea that we finally give the RPC more
autonomy, I also think it is a recipe for paralysis because no
individual is empowered to do anything.

There are lots of small issues related to RFC publishing that need to
be dealt with, and I cannot tell who would do that. As a concrete
example, we have a longstanding issue that Google Scholar does not
index RFCs. I think I know what the problem is, various coding and
indexing issues on the rfc-editor web site, and I hope I can get them
fixed before my term runs out. But if I don't or I do but then it
breaks again, who has the authority to talk to Google and if need be,
to make the changes to fix it? Running this through the RSWG and RSAB
with a formal proposal first for who gets to talk to them, and then
to make whatever the changes are (which are likely small and obvious)
would be a waste of everyone's time.

While I understand the desire to make everything as transparent as
possible, if every tiny unit of work is loaded with five units of proposing
and debating and approval, not a lot of work is going to get done.

R's,
John

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 29 Oct 2021 10:53:16 +1300

John,

On 29-Oct-21 05:36, John Levine wrote:
> would be a waste of everyone's time.> 

The language in sections 4.2 "Implementation-Specific Policies",
(proposed to become "Working Practices") and 4.3 "RPC Responsibilities",
isn't exclusive. So my answer is that if the problem flagged by the
community is "get RFCs into Google Scholar", solving it is then the
RPC's job (and how they tackle will probably involve consulting the
RSCE). Maybe we need a sentence or two making this clear.

     Brian

---

From: "John R Levine" <[email-masked]>
Date: 28 Oct 2021 20:14:57 -0400

On Fri, 29 Oct 2021, Brian E Carpenter wrote:
>> As a concrete example, we have a longstanding issue that Google Scholar 
>> does not index RFCs. I think I know what the problem is, various coding 
>> and indexing issues on the rfc-editor web site, and I hope I can get 
>> them fixed before my term runs out. But if I don't or I do but then it 
>> to make the changes to fix it? ...

> RSCE). Maybe we need a sentence or two making this clear.

We have known about the Google Scholar problem for many years.  The RPC is 
as aware of it as anyone, but hasn't been able to fix it because, 
unsurprisingly, their deep expertise in editorial issues doesn't happen to 
extend to the details of web indexing.  (I happen to know about it because 
I used to do expert witness work for Google.)

If the RSWG has to rediscover that this is an issue, then tell the RPC to 
fix it, then hear back that the RPC needs outside help, then consult the 
RSCE, etc etc. oh never mind.

We need to have people with the authority to solve small problems on 
their own and assign those problems directly to people who can address 
them.  Running everything through two committees is truly a recipe for 
paralysis.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Jay Daley <[email-masked]>
Date: Fri, 29 Oct 2021 13:32:56 +1300

> On 29/10/2021, at 1:14 PM, John R Levine <[email-masked]> wrote:
> 
>>> As a concrete example, we have a longstanding issue that Google Scholar does not index RFCs. I think I know what the problem is, various coding and indexing issues on the rfc-editor web site, and I hope I can get them fixed before my term runs out. But if I don't or I do but then it breaks again, who has the authority to talk to Google and if need be, to make the changes to fix it? ...
> 
> We have known about the Google Scholar problem for many years.  The RPC is as aware of it as anyone, but hasn't been able to fix it because, unsurprisingly, their deep expertise in editorial issues doesn't happen to extend to the details of web indexing.  (I happen to know about it because I used to do expert witness work for Google.)
> 
> If the RSWG has to rediscover that this is an issue, then tell the RPC to fix it, then hear back that the RPC needs outside help, then consult the RSCE, etc etc. oh never mind.
> 
> We need to have people with the authority to solve small problems on their own and assign those problems directly to people who can address them.  Running everything through two committees is truly a recipe for paralysis.

As I understand it, the new model allows for this because the new model focuses solely on policy, leaving the implementation to the RPC (with support from … and oversight from … and …)  As the Google Scholar issue is solely one of distribution, then it is solely an implementation issue.

We need to remember that only a subset of the role/responsibilities of the RSE are transferring to the RSWG and implementation matters are not part of that.

Jay

> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future
> 

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 29 Oct 2021 15:13:46 +1100

This area has been a concern in the back of my mind too. 

What might be really interesting is if the RSWG were to have a lightweight way* to bless a particular goal or effort -- whether it be by the RPC, the RSCE, or a community member (or group of them). It would still retain change control over the output, of course, but it would enable things like this to make progress.

Does that makes sense?

Cheers,

* I.e., without publishing an RFC.

> On 29 Oct 2021, at 11:32 am, Jay Daley <[email-masked]> wrote:
> 
> 
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 29 Oct 2021 17:57:11 +1300

What output would there be, except "We'd like Google Scholar listing" or something similar.

I don't see why this needs any process to be described.

Regards
    Brian

On 29-Oct-21 17:13, Mark Nottingham wrote:
>>> We have known about the Google Scholar problem for many years.  The RPC is as aware of it as anyone, but hasn't been able to fix it because, unsurprisingly, their deep expertise in editorial issues doesn't happen to 
extend to the details of web indexing.  (I happen to know about it because I used to do expert witness work for Google.)
>> As I understand it, the new model allows for this because the new model focuses solely on policy, leaving the implementation to the RPC (with support from … and oversight from … and …)  As the 
Google Scholar issue is solely one of distribution, then it is solely an implementation issue.
>>
>> We need to remember that only a subset of the role/responsibilities of 
the RSE are transferring to the RSWG and implementation matters are not part of that.

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 29 Oct 2021 08:01:56 +0200

> I don't see why this needs any process to be described.

Different example: We’d like DOIs on our RFCs.
OK, that has already happened.
(It even was mildly controversial because of the somewhat unsavory way DOIs came to be.)

Grüße, Carsten

---

From: Eliot Lear <[email-masked]>
Date: Fri, 29 Oct 2021 09:44:00 +0200

We say that the RSCE has the responsibility /inter alia /to:

>    *  If requested, provide expert advice to the RPC and IETF LLC

And then we say:

>
>    Matters on which the RSCE might be consulted could include the
>    following (see also Section 4 of [RFC8729]):
>
>    *  Editing, processing, and publication of RFCs
>
>    *  Publication formats for the RFC Series
>
>    *  Changes to the RFC style guide
>
>    *  Series-wide guidelines regarding document content and quality
>
>    *  Web presence for the RFC Series
>
>    *  Copyright matters related to the RFC Series
>
>    *  Archiving, indexing, and accessibility of RFCs

So here we have an example of indexing.  The only issue is when a 
commitment is needed.  In that case, either the RPC has the authority, 
the ED has the authority, or the ED and RPC must seek the authority.  
And then the question turns to whom.

Am I missing something?

Eliot

On 29.10.21 06:13, Mark Nottingham wrote:
>> On 29 Oct 2021, at 11:32 am, Jay Daley<[email-masked]>  wrote:
>>
>>
>>
>>> On 29/10/2021, at 1:14 PM, John R Levine<[email-masked]>  wrote:
>>>
>>> John Levine,[email-masked], Taughannock Networks, Trumansburg NY
>>> Please consider the environment before reading this e-mail.https://jl.ly
>>>
>>> -- 
> Mark Nottinghamhttps://www.mnot.net/
>

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 29 Oct 2021 09:52:35 +0200

>>    Matters on which the RSCE might be consulted 

I think the expectation we don’t find in the document is that the RSCE (*) takes the initiative on these issues, and is not just sitting there waiting to be asked (by whom?).

Grüße, Carsten

(*) (pronounce: risky?)

---

From: Eliot Lear <[email-masked]>
Date: Fri, 29 Oct 2021 10:10:49 +0200

Hi Carsten,

> I think the expectation we don’t find in the document is that the RSCE (*) takes the initiative on these issues, and is not just sitting there waiting to be asked (by whom?).

I don't think this group's intent was to gag the RSCE, but I could see 
how the text reads that way.  My suggestion would be to make two changes:

Remove "If requested,"

And

Change "Matters on which the RSCE might be consulted" to "Matters on 
which the RSCE might provide guidance"

???

Not that anyone else couldn't as well, mind you.

Eliot

---

From: Mirja Kuehlewind <[email-masked]>
Date: Fri, 29 Oct 2021 18:29:07 +0200

Hi Eliot,

I think your proposed change makes sense.

My 2c on the issue in general: My assumption was that while the RPC might flag such an issue issue and maybe even ask the LLC for support to fix it if additional technical expertise is needed, it could still be the RSCE that could talk to Google, if needed.

The v2 model had a point about "representation of the RFC Series” and we did discuss this at some point but maybe we didn’t resolve this issue fully? We could re-add that point to the list RSCE responsibilities or is that not what is intended?

Regarding the more high level policy question about accessibility, I would think this are covered by the RPC responsibilities:

"The core responsibility of the RPC is continuous improvement
   regarding the implementation of RFC policies (including the
   dimensions of document quality, timeliness of production, and
   accessibility of results),”

However, while Google Scholar might be a more obvious one, I think we still rely on the publishing expertise of the RSCE to tell us (the community) and the RPC which are the important venues.

Mirja

> On 29. Oct 2021, at 10:10, Eliot Lear <[email-masked]> wrote:
> 
> Hi Carsten,
> 
> I don't think this group's intent was to gag the RSCE, but I could see how the text reads that way.  My suggestion would be to make two changes:
> 
> Remove "If requested,"
> 
> And
> 
> Change "Matters on which the RSCE might be consulted" to "Matters on which the RSCE might provide guidance"
> 
> ???
> 
> <OpenPGP_0x87B66B46D9D27A33.asc>--

---

From: Jay Daley <[email-masked]>
Date: Sat, 30 Oct 2021 09:14:57 +1300

> On 30/10/2021, at 5:29 AM, Mirja Kuehlewind <[email-masked]> wrote:
> 
> Hi Eliot,
> 

Yes, whoever is best suited. 

> The v2 model had a point about "representation of the RFC Series” and we did discuss this at some point but maybe we didn’t resolve this issue fully? We could re-add that point to the list RSCE res…

No definitely not, the RSCE is not *the* representative of the series though they may be *a* representative.  We did resolve this - we agreed that all we need to say is that such queries come into the the RPC who dispatch them as appropriate. 
>   accessibility of results),”

I’ve tried to address that in a proposed change that explicitly notes that ‘publishing’ includes depositing with external archives. 
> However, while Google Scholar might be a more obvious one, I think we still rely on the publishing expertise of the RSCE to tell us (the community) and the RPC which are the important venues.

Yes agreed. 

Jay

-- 
Jay Daley
IETF Executive Director 
[email-masked]

---

From: Mirja Kuehlewind <[email-masked]>
Date: Fri, 29 Oct 2021 22:21:21 +0200

One comment below.

> On 29. Oct 2021, at 22:14, Jay Daley <[email-masked]> wrote:
> 
> 
> 

I was not reading or proposing this as *the* representation of the series. But rather a one person that might be qualified to go out there in the world and talk about the series.

I didn’t remember the conclusion of that discussion and what you say in not mentioned in the draft. If that was the conclusion (which it fine for me) we should explicitly spell this out in the document.

Mirja

---

From: Jay Daley <[email-masked]>
Date: Sat, 30 Oct 2021 09:45:45 +1300

> On 30/10/2021, at 9:21 AM, Mirja Kuehlewind <[email-masked]> wrote:
> 
> One comment below.
> 

Sorry, I assumed you meant *the* representative if it’s not also added to the other roles. 

-- 
Jay Daley
IETF Executive Director 
[email-masked]

---

From: Jay Daley <[email-masked]>
Date: Sat, 30 Oct 2021 10:33:05 +1300

Mirja

We currently have:

4.5.  External Representation

From time to time, individuals or organizations external to the IETF and the broader RFC Series community may have questions about the RFC Series.  Such inquiries should be directed to the [email-masked] email alias and then handled by the appropriate bodies(e.g., RSAB, RPC) or individuals (e.g., RSWG chairs, RSCE).
Do you think it also needs something like “All other external representation of the RFC Series should be handled by the appropriate bodies or individuals” ?

Jay

-- 
Jay Daley
IETF Executive Director 
[email-masked]

> On 30/10/2021, at 9:46 AM, Jay Daley <[email-masked]> wrote:
> 
> 
>

---

From: Alice Russo <[email-masked]>
Date: Fri, 29 Oct 2021 15:24:19 -0700

I agree with Mark's comment. It seems there should be a lighter way for the RSWG to make a recommendation than publishing an RFC. Perhaps it's  as straightforward as stating the recommendation on list. 

To build on Jay's point about Policy definition (RSWG) vs. Policy implementation (RPC) -- in practice, communication will be essential to determining the line there and moving things forward. As noted, the RPC will seek input from the RSCE and others in the community as needed to determine the appropriate implementation plan. 

Thanks,
Alice

> On Oct 28, 2021, at 9:13 PM, Mark Nottingham <[email-masked]> wrote:
>

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 1 Nov 2021 11:54:09 +1100

Let's say that I, as a member of the community and a participant in the RSWG, had an idea about how to improve the RFC Editor web site. Maybe it's a change to the CSS, maybe it's an RSS feed, maybe it's something much more substantial.

I'm willing to do the work (both in terms of convincing people it's a good idea, and actually performing the task). Let's assume that there is no financial cost beyond what we currently pay to host a web site, etc., and the ongoing administrative, maintenance and operational burden is non-existent to slight-but-eminantly-manageable.

In my mind, the barriers to this kind of community contribution should be as low as is possible *while* still assuring adequate review, consensus, and oversight. 

The first question is whether making that happen demands that an RFC be published. If it does, I think we've failed.

If it doesn't require an RFC being published, the next question is how that kind of thing is authorised. 

One answer would be for me to petition the RSCE to use their position to enact this. I think that's inappropriate, and against the spirit of what we're doing here.

Another answer would be for me to go talk to the RPC and convince them to do it. Again, to me there isn't adequate oversight or visibility. 

Another answer is 'some level of discussion + consensus in the RSWG, with buy-in from the RSAB'. Personally, I think that's reasonable.

Is there another way to do this? Do people disagree with this goal (and if so, why)?

Cheers,

> On 29 Oct 2021, at 6:44 pm, Eliot Lear <[email-masked]> wrote:
> 
> We say that the RSCE has the responsibility inter alia to:
> 
> 
> 
> 
> So here we have an example of indexing.  The only issue is when a commitment is needed.  In that case, either the RPC has the authority, the ED has the authority, or the ED and RPC must seek the authority.  And then the question turns to whom.
> 
> Am I missing something?
> 
> Eliot  
> 
>>>> John Levine, 
>>>> [email-masked]
>>>> , Taughannock Networks, Trumansburg NY
> <OpenPGP_0x87B66B46D9D27A33.asc>

---

From: "StJohns, Michael" <[email-masked]>
Date: Sun, 31 Oct 2021 21:53:37 -0400

Sorry - gmail reply went wrong.  This is still applicable - it’s not an
RSWG responsibility and expanding their remit in this way is restarting the
division of labor discussions in a way that will probably not end well.

---------- Forwarded message ---------
From: StJohns, Michael <[email-masked]>
Date: Fri, Oct 29, 2021 at 04:00
Subject: Re: [Rfced-future] iRSE comments on the new RFC editor structure
To: Mark Nottingham <[email-masked]>

Top posting due to iPad.

This makes no sense,  the RSWG does not bless anything, it proposes.   The
RSAB disposes/approves.  It it’s a decision that needs to be made in the
short term it is pretty much b6 definition tactical, and is therefore not
the purview of the RSWG.   If the members of the RSWG disagree with a
tactical decision, they can propose an override, write a document and
attempt to get the RSAB to approve it.  It does not by itself get to impose
policy in any wa6 shape or form.

Not sure what the solution to Johns question is, but this isn’t it.

Mike

On Thu, Oct 28, 2021 at 21:14 Mark Nottingham <[email-masked]> wrote:

> What might be really interesting is if the RSWG were to have a lightweight
> way* to bless a particular goal or effort -- whether it be by the RPC, the
> RSCE, or a community member (or group of them). It would still retain
> change control over the output, of course, but it would enable things like
> this to make progress.
>
> Does that makes sense?
>
> Cheers,
>
>
> >>>> As a concrete example, we have a longstanding issue that Google
> Scholar does not index RFCs. I think I know what the problem is, various
> coding and indexing issues on the rfc-editor web site, and I hope I can get
> breaks again, who has the authority to talk to Google and if need be, to
> make the changes to fix it? ...
> >>
> >> We have known about the Google Scholar problem for many years.  The RPC
> is as aware of it as anyone, but hasn't been able to fix it because,
> >> If the RSWG has to rediscover that this is an issue, then tell the RPC
> to fix it, then hear back that the RPC needs outside help, then consult the
> > As I understand it, the new model allows for this because the new model
> focuses solely on policy, leaving the implementation to the RPC (with
> support from … and oversight from … and …)  As the Google Scholar issue is
> solely one of distribution, then it is solely an implementation issue.
> >

---

From: Eric Rescorla <[email-masked]>
Date: Sun, 31 Oct 2021 19:04:20 -0700

On Sun, Oct 31, 2021 at 5:54 PM Mark Nottingham <[email-masked]> wrote:

> Let's say that I, as a member of the community and a participant in the
> RSWG, had an idea about how to improve the RFC Editor web site. Maybe it's
> a change to the CSS, maybe it's an RSS feed, maybe it's something much more
> substantial.
>
> I'm willing to do the work (both in terms of convincing people it's a good
> idea, and actually performing the task). Let's assume that there is no
> financial cost beyond what we currently pay to host a web site, etc., and
> the ongoing administrative, maintenance and operational burden is
> non-existent to slight-but-eminantly-manageable.
>
> In my mind, the barriers to this kind of community contribution should be
> as low as is possible *while* still assuring adequate review, consensus,
> and oversight.
>
> The first question is whether making that happen demands that an RFC be
> published. If it does, I think we've failed.
>
> One answer would be for me to petition the RSCE to use their position to
> enact this. I think that's inappropriate, and against the spirit of what
> we're doing here.
>
> Another answer would be for me to go talk to the RPC and convince them to
> do it. Again, to me there isn't adequate oversight or visibility.
>
> Another answer is 'some level of discussion + consensus in the RSWG, with
> buy-in from the RSAB'. Personally, I think that's reasonable.
>

This is what I would have expected. I agree it doesn't need an RFC. Maybe
just some kind of LC + RSAB signoff?

-Ekr

> commitment is needed.  In that case, either the RPC has the authority, the
> ED has the authority, or the ED and RPC must seek the authority.  And then
> the question turns to whom.
> >
> > Am I missing something?
> >
> > Eliot
> >
> >> What might be really interesting is if the RSWG were to have a
> lightweight way* to bless a particular goal or effort -- whether it be by
> the RPC, the RSCE, or a community member (or group of them). It would still
> retain change control over the output, of course, but it would enable
> things like this to make progress.
> >>
> >> Does that makes sense?
> >>
> >> Cheers,
> >>
> >>
> >>>> We have known about the Google Scholar problem for many years.  The
> RPC is as aware of it as anyone, but hasn't been able to fix it because,
> >>>> If the RSWG has to rediscover that this is an issue, then tell the
> RPC to fix it, then hear back that the RPC needs outside help, then consult
> the RSCE, etc etc. oh never mind.
> >>>>
> >>> As I understand it, the new model allows for this because the new
> model focuses solely on policy, leaving the implementation to the RPC (with

---

From: "John R Levine" <[email-masked]>
Date: 31 Oct 2021 22:21:26 -0400

> Is there another way to do this? Do people disagree with this goal (and if so, why)?

This is what I meant when I said no individual is empowered to do 
anything, which likely leads to paralysis.

Maybe it's the RSCE, maybe the RSWG can tap someone to be the Approver of 
Small Things, but I can tell you from experience that there is a constant 
stream of small things and someone needs to be able to dispatch them 
without making a bureaucrating process out of it.

If the question is how will the Approver know what is a small thing and 
what needs more process, the answer is to pick someone competent who knows 
the difference.

Regards,

---

From: Jay Daley <[email-masked]>
Date: Mon, 1 Nov 2021 15:27:46 +1300

> On 1/11/2021, at 1:54 PM, Mark Nottingham <[email-masked]> wrote:
> 

This is what I expect and this is specifically why I introduced text ages ago about the RPC publishing a work plan and priorities, them asking for community feedback on that and RSAB sign-off.  

No matter what the process is, people will talk to the RPC and if the RPC agree then they will want to do it.  It is unworkable if they have to get agreement to add a new type of RSS feed. 

> Another answer is 'some level of discussion + consensus in the RSWG, with buy-in from the RSAB'. Personally, I think that's reasonable.

I don’t because the examples given are far too operational for the RSWG to be involved in.  If we do this then we’re creating a charter for every bikeshedder to press their claim in the RSWG, which would not be good for either the RSWG or the RPC.

If on the other hand this is for the "much more substantial" side to your examples then we’re opening an eight lane bypass for the whole RSWG/RSAB process.

> Is there another way to do this? Do people disagree with this goal (and if so, why)?

For me, the correct way to deal with this is to address your point that "there isn’t adequate oversight or visibility" for the way the RPC take on board recommendations by providing a clear mechanism for community scrutiny.  However, we’ve been through that in depth before and agreed to remove it entirely and leave the LLC to provide that function.

Jay

> Mark Nottingham   https://www.mnot.net/ <https://www.mnot.net/>
-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Stephen Farrell <[email-masked]>
Date: Mon, 1 Nov 2021 02:30:22 +0000

Hiya,

On 01/11/2021 00:54, Mark Nottingham wrote:
> Let's say that I, as a member of the community and a participant in
> the RSWG, had an idea about how to improve the RFC Editor web site.
> Maybe it's a change to the CSS, maybe it's an RSS feed, maybe it's
> something much more substantial.
> 
> I'm willing to do the work (both in terms of convincing people it's a
> good idea, and actually performing the task). Let's assume that there
> is no financial cost beyond what we currently pay to host a web site,
> etc., and the ongoing administrative, maintenance and operational
> burden is non-existent to slight-but-eminantly-manageable.
> 
> In my mind, the barriers to this kind of community contribution
> should be as low as is possible *while* still assuring adequate
> review, consensus, and oversight.
> 
> The first question is whether making that happen demands that an RFC
> be published. If it does, I think we've failed.
> 
> One answer would be for me to petition the RSCE to use their position
> to enact this. I think that's inappropriate, and against the spirit
> of what we're doing here.

I agree most of the above seems like a good idea. But I'd not
like a "petition" to be the common modus operandi, rather a
demonstration (e.g. via a replicated web site) would seem to
be a much better option. That that is doable seems to have
been demonstrated by the datatracker code-sprints etc.

For example, if someone's changed RSS (or whatever) impacted
on rendering for visually impaired people, or had some impact
on privacy, then that might be very unclear from a petition
but more easily understood via a replicable demonstration.

So I think I agree with John Levine that a person (such as
the RCSE) ought have a significant role in promoting such
ideas to the point where the RSWG/RSAB asks the community
whether a decision is warranted.

But I'd also hope that the RPC would figure out whether or
not its possible to enable community participants to build
such proposed better web sites for others to evaluate. I
can't see why that'd be hard, given the small and pretty
static content involved.

Cheers,
S.

> 
> Another answer would be for me to go talk to the RPC and convince
> them to do it. Again, to me there isn't adequate oversight or
> visibility.
> 
> Another answer is 'some level of discussion + consensus in the RSWG,
> with buy-in from the RSAB'. Personally, I think that's reasonable.
> 
>> commitment is needed.  In that case, either the RPC has the
>> authority, the ED has the authority, or the ED and RPC must seek
>> the authority.  And then the question turns to whom.
>> 
>> Am I missing something?
>> 
>> Eliot
>> 
>>> lightweight way* to bless a particular goal or effort -- whether
>>> it be by the RPC, the RSCE, or a community member (or group of
>>> them). It would still retain change control over the output, of
>>> course, but it would enable things like this to make progress.
>>> 
>>> Does that makes sense?
>>> 
>>> Cheers,
>>> 
>>> 
>>>>>>> As a concrete example, we have a longstanding issue that
>>>>>>> Google Scholar does not index RFCs. I think I know what
>>>>>>> the problem is, various coding and indexing issues on the
>>>>>>> rfc-editor web site, and I hope I can get them fixed
>>>>>>> before my term runs out. But if I don't or I do but then
>>>>>>> it breaks again, who has the authority to talk to Google
>>>>>>> and if need be, to make the changes to fix it? ...
>>>>>>> 
>>>>>> The language in sections 4.2 "Implementation-Specific
>>>>>> Policies", (proposed to become "Working Practices") and 4.3
>>>>>> "RPC Responsibilities", isn't exclusive. So my answer is
>>>>>> that if the problem flagged by the community is "get RFCs
>>>>>> into Google Scholar", solving it is then the RPC's job (and
>>>>>> how they tackle will probably involve consulting the RSCE).
>>>>>> Maybe we need a sentence or two making this clear.
>>>>>> 
>>>>> We have known about the Google Scholar problem for many
>>>>> years.  The RPC is as aware of it as anyone, but hasn't been
>>>>> able to fix it because, unsurprisingly, their deep expertise
>>>>> in editorial issues doesn't happen to extend to the details
>>>>> of web indexing.  (I happen to know about it because I used
>>>>> to do expert witness work for Google.)
>>>>> 
>>>>> If the RSWG has to rediscover that this is an issue, then
>>>>> tell the RPC to fix it, then hear back that the RPC needs
>>>>> outside help, then consult the RSCE, etc etc. oh never mind.
>>>>> 
>>>>> We need to have people with the authority to solve small
>>>>> problems on their own and assign those problems directly to
>>>>> people who can address them.  Running everything through two
>>>>> committees is truly a recipe for paralysis.
>>>>> 
>>>> As I understand it, the new model allows for this because the
>>>> new model focuses solely on policy, leaving the implementation
>>>> to the RPC (with support from … and oversight from … and …)  As
>>>> the Google Scholar issue is solely one of distribution, then it
>>>> is solely an implementation issue.
>>>> 
>>>> We need to remember that only a subset of the
>>>> role/responsibilities of the RSE are transferring to the RSWG
>>>> and implementation matters are not part of that.
>>>> 
>>>> Jay
>>>> 
>>>> 
>>>> 
>>>>> Regards, John Levine, [email-masked] , Taughannock Networks,
>>>>> Trumansburg NY Please consider the environment before reading
>>>>> this e-mail. https://jl.ly
>>>>> 
>>>>> 
>>>>> -- Rfced-future mailing list
>>>>> 
>>>>> [email-masked] 
>>>> -- Jay Daley IETF Executive Director
>>>> 
>>>> [email-masked]
>>>> 
>>>> 
>>>> -- Rfced-future mailing list
>>>> 
>>>> [email-masked] 
>>> -- Mark Nottingham https://www.mnot.net/
>>> 
>>> 
>>> 
> -- Mark Nottingham   https://www.mnot.net/
>

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 1 Nov 2021 16:48:54 +1300

Mark,

My reaction is that this issue is off topic. Let me explain that in line below...

> Let's say that I, as a member of the community and a participant in the 
RSWG, had an idea about how to improve the RFC Editor web site. Maybe it's a change to the CSS, maybe it's an RSS feed, maybe it's something much more substantial.
> In my mind, the barriers to this kind of community contribution should be as low as is possible *while* still assuring adequate review, consensus, and oversight.

That isn't a policy or strategy issue, which is what I understand the RSWG/RSAB mechanism is for. It is  barely even a policy implementation issue. So I would expect the RSWG chairs to simply rule it out of scope for formal RSWG action. Then the question is, where is it in scope?

I think the answer is not here at all, it's in BCP101 (RFC8711), where it 
says that the LLC provides "financial support for the operation of the RFC Editor". The LLC owns the contract because of that phrase, not because of what we do here. BCP101 also talks about community involvement in tools at https://www.rfc-editor.org/rfc/rfc8711.html#section-5.1-5. That *does* define a policy, and I think it makes it fairly clear that the answer is for the community to "document its consensus expectations in areas where no documentation currently exists" and send the result to the LLC. That doesn't require an RFC but it does require a venue where consensus can be reached. I have re-read the RSWG role description and I don't see anywhere that it mentions tools such as the web site, or for that matter XML2RFCv3 or SVG issues.

We could argue that "close ftp service" or "allow Javascript on the RFC Editor web site" or "expand the allowed SVG subset" are policy issues, just about, but if you want a forum for technical discussion of any kind of RFC Editor tooling, it is clearly not the RSWG as currently proposed.
  
> 
> If it doesn't require an RFC being published, the next question is how that kind of thing is authorised.> One answer would be for me to petition 
the RSCE to use their position to enact this. I think that's inappropriate, and against the spirit of what we're doing here.
> Another answer is 'some level of discussion + consensus in the RSWG, with buy-in from the RSAB'. Personally, I think that's reasonable.

Since we are not talking about policy or strategy, I'm not sure why the RSWG or RSAB would be involved.

> Is there another way to do this? Do people disagree with this goal (and 
if so, why)?

The authority for tools is the LLC, since RFC8711. If there's a need for some mechanism to support the paragraph in RFC8711 that I cited above, that's well worth a discussion, but not here IMHO.

Regards
    Brian

>> So here we have an example of indexing.  The only issue is when a commitment is needed.  In that case, either the RPC has the authority, the ED 
has the authority, or the ED and RPC must seek the authority.  And then the question turns to whom.
>>>>> We have known about the Google Scholar problem for many years.  The 
RPC is as aware of it as anyone, but hasn't been able to fix it because, unsurprisingly, their deep expertise in editorial issues doesn't happen to extend to the details of web indexing.  (I happen to know about it because I used to do expert witness work for Google.)
>>>> As I understand it, the new model allows for this because the new model focuses solely on policy, leaving the implementation to the RPC (with 
support from … and oversight from … and …)  As the Google Scholar issue is solely one of distribution, then it is solely an implementation issue.